KMDR-EXECUTOR(1)

NAME
kmdr-executor - dialog executor for the Kommander dialog-to-text system

SYNOPSIS
kmdr-executor [ generic-options ] [ file ]

DESCRIPTION
Kommander is a set of tools that allow you to create dynamic GUI dialogs that generate, based on their state, a piece of text. The piece of text can be a command line to a program, any piece of code, business documents that contain a lot of repititious or templated text and so on. The resulting generated text can then be executed as a command line program (hence the name "Kommander"), written to a file, passed to a script for extended processing, and literally anything else you can think of. The best part of it all? You aren't required to write a single line of code!

This executor is used to run a dialog that has been created by the dialog editor (kmdr-editor). Either the dialog file (generally saved by the editor with extension kmdr) should be specified on the command-line, or the XML description of the dialog should be supplied on standard input.

This application is part of the official KDE web development module.

OPTIONS
For a full summary of options, run kmdr-editor --help.

SEE ALSO
kmdr-editor(1), quanta(1).

AUTHOR
Kommander was written by Marc Britton <consume@optushome.com.au> and Eric Laffoon <sequitur@kde.org>.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).